Bug 118355 - ss -f segfaults
ss -f segfaults
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: iproute (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-15 16:55 EST by James Morris
Modified: 2015-03-04 20:13 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-21 09:50:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Morris 2004-03-15 16:55:29 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1)
Gecko/20030225

Description of problem:
The 'ss' utility segfaults when you specify the -f switch.

This does not appear to be specific to the value specified by -f.




Version-Release number of selected component (if applicable):
iproute-2.4.7-13

How reproducible:
Always

Steps to Reproduce:
1. ss -f inet6
2.
3.
    

Actual Results:  Segfault.

Expected Results:  The output of 'ss' but just for ipv6.

Additional info:
Comment 1 Phil Knirsch 2004-04-21 09:50:02 EDT
Doh, : was missing after the f param in the getopt() call.

Fixed in latest rawhide release to appear soon.

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.